Subject: [alpine-aports] [PATCH 1/3] testing/argon2: new aport

From: Corey Oliver <[email-masked]>
Date: Thu, 5 Jan 2017 19:08:56 -0600

---
 testing/argon2/APKBUILD | 38 ++++++++++++++++++++++++++++++++++++++
 1 file changed, 38 insertions(+)
 create mode 100644 testing/argon2/APKBUILD

diff --git a/testing/argon2/APKBUILD b/testing/argon2/APKBUILD
new file mode 100644
index 0000000..11c8be3
--- /dev/null
+++ b/testing/argon2/APKBUILD
@@ -0,0 +1,38 @@
+# Contributor: Corey Oliver <[email-masked]>
+# Maintainer: Corey Oliver <[email-masked]>
+pkgname=argon2
+_pkgname=phc-winner-argon2
+pkgver=20161029
+_soname=0.0.0
+pkgrel=0
+pkgdesc="The password hash Argon2, winner of PHC"
+url="https://github.com/P-H-C/phc-winner-argon2"
+arch="all"
+license="ASL 2.0 CC0 1.0"
+subpackages="$pkgname-dev libargon2"
+source="$pkgname-$pkgver.tar.gz::https://github.com/P-H-C/$_pkgname/archive/$pkgver.tar.gz"
+builddir="$srcdir/$_pkgname-$pkgver"
+
+build() {
+    cd "$builddir"
+    make && make test
+}
+
+package() {
+    cd "$builddir"
+    make DESTDIR="$pkgdir" install || return 1
+
+    # A version number is not appended to the shared library file by default, so we do it ourselves
+    mv "$pkgdir"/usr/lib/libargon2.so "$pkgdir"/usr/lib/libargon2.so.$_soname || return 1
+    ln -s libargon2.so.$_soname "$pkgdir"/usr/lib/libargon2.so || return 1
+	ln -s libargon2.so.$_soname "$pkgdir"/usr/lib/libargon2.so.${_soname%%.*} || return 1
+}
+
+libargon2() {
+    pkgdesc="The password hash Argon2 library, winner of PHC"
+    mkdir -p "$subpkgdir"/usr
+    mv "$pkgdir"/usr/lib "$subpkgdir"/usr
+}
+md5sums="bd3476cb8eac9d521a4e0e04d653f5a8  argon2-20161029.tar.gz"
+sha256sums="fe0049728b946b58b94cc6db89b34e2d050c62325d16316a534d2bedd78cd5e7  argon2-20161029.tar.gz"
+sha512sums="e1f947a97e8b5f292dd32a6f1ea0ef3f2e411629218653821886ec4e1d5f8289d5b8f4b8bf0a37e69c344a83b975c695947d6b49fd2001a0e4273bebd4792892  argon2-20161029.tar.gz"
-- 
2.9.3

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---

---

From: Corey Oliver <[email-masked]>
Date: Thu, 5 Jan 2017 20:20:15 -0600

This should only be a single patch (ie. it should read [PATCH 1/1]).

On Thu, Jan 5, 2017 at 7:08 PM, Corey Oliver <[email-masked]>
wrote:

> +sha512sums="e1f947a97e8b5f292dd32a6f1ea0ef3f2e411629218653821886ec4e1d5f
> 8289d5b8f4b8bf0a37e69c344a83b975c695947d6b49fd2001a0e4273bebd4792892
> argon2-20161029.tar.gz"
> --
> 2.9.3
>
>

---

From: Leonardo Arena <[email-masked]>
Date: Fri, 06 Jan 2017 16:52:50 +0100

> diff --git a/testing/argon2/APKBUILD b/testing/argon2/APKBUILD

it fails on armhf:

http://build.alpinelinux.org/buildlogs/build-edge-armhf/testing/argon2/
argon2-20161029-r0.log

I'm going to disable build for it for now.

- leo